Skip to main content
`Ctrl`+`K`

# PCHYPRESetInterpolations

Set the interpolation matrices for `PCHYPRE` type of AMS or ADS

## Synopsis

    PetscErrorCode PCHYPRESetInterpolations(PC pc, PetscInt dim, Mat RT_PiFull, Mat RT_Pi[], Mat ND_PiFull, Mat ND_Pi[])

Collective

## Input Parameters

- pc - the preconditioning context

- dim - the dimension of the problem, only used in AMS

- RT_PiFull - Raviart-Thomas interpolation matrix

- RT_Pi - x/y/z component of Raviart-Thomas interpolation matrix

- ND_PiFull - Nedelec interpolation matrix

- ND_Pi - x/y/z component of Nedelec interpolation matrix

## Notes

For AMS, only Nedelec interpolation matrices are needed, the Raviart-Thomas interpolation matrices can be set to `NULL`.

For ADS, both type of interpolation matrices are needed.

## Developer Note

This automatically converts the matrix to `MATHYPRE` if it is not already of that type

## See Also

KSP: Linear System Solvers, `PCHYPRE`

## Level

intermediate

## Location

src/ksp/pc/impls/hypre/hypre.c

## Implementations

PCHYPRESetInterpolations_HYPRE() in src/ksp/pc/impls/hypre/impl/ihypre.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages